icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

XMB Forum < 1.9.8 SP2 SQL Injection

Medium

Synopsis

The remote host is vulnerable to a SQL Injection attack.

Description

The remote host is running XMB Forum. There is flaw in the version this host is using which may allow an attacker to perform a SQL Injection attack. An attacker sending malformed queries can inject SQL commands that are executed on the database server. This can lead to the reading or writing of data and, in some cases, the attacker can execute arbitrary system commands. In addition, the remote version of XMB forum is vulnerable to HTML injection type attacks. An attacker exploiting this second flaw would be able to manipulate the application to execute arbitrary script code.

Solution

Upgrade to XMB 1.9.8 SP2 or higher.